NSX-T Data Center REST API
Associated URIs:
| API Description | API Path |
|---|---|
List all nodes logging-server configuration statusReturns list of all nodes logging-server configuration status. |
GET /api/v1/configs/central-config/logging-servers
|
List all Central Node Config profilesReturns list of all Central Node Config profiles. |
GET /api/v1/configs/central-config/node-config-profiles
|
Configure Node Config profileUpdates properties in the specified Central Node Config profile. |
PUT /api/v1/configs/central-config/node-config-profiles/{node-config-profile-id}
|
Read Central Node Config profileReturns properties in specified Central Node Config profile. Sensitive data (like SNMP v2c community strings) are included only if query parameter "show_sensitive_data" is true. |
GET /api/v1/configs/central-config/node-config-profiles/{profile-id}
|
Read NSX Management nodes global configuration.Returns the NSX Management nodes global configuration. |
GET /policy/api/v1/configs/management
GET /api/v1/configs/management |
Update NSX Management nodes global configurationModifies the NSX Management nodes global configuration. |
PUT /policy/api/v1/configs/management
PUT /api/v1/configs/management |
List global configurations of a NSX domainReturns global configurations of a NSX domain grouped by the config types. These global configurations are valid across NSX domain for their respective types unless they are overridden by a more granular configurations. This rest routine is deprecated, and will be removed after a year. |
GET /api/v1/global-configs
(Deprecated)
|
Get global configs for a config typeReturns global configurations that belong to the config type. This rest routine is deprecated, and will be removed after a year. |
GET /api/v1/global-configs/{config-type}
(Deprecated)
|
Update global configurations of a config typeUpdates global configurations that belong to a config type. The request must include the updated values along with the unmodified values. The values that are updated(different) would trigger update to config-type specific state. However, the realization of the new configurations is config-type specific. Refer to config-type specific documentation for details about the config- uration push state. This rest routine is deprecated, and will be removed after a year. |
PUT /api/v1/global-configs/{config-type}
(Deprecated)
|
Resyncs global configurations of a config-typeIt is similar to update global configurations but this request would trigger update even if the configs are unmodified. However, the realization of the new configurations is config-type specific. Refer to config-type specific documentation for details about the configuration push state. This rest routine is deprecated, and will be removed after a year. |
PUT /api/v1/global-configs/{config-type}?action=resync_config
(Deprecated)
|
Read the constraint global configurationRead the constraint global configuration |
GET /policy/api/v1/infra/constraint-global-config
GET /policy/api/v1/global-infra/constraint-global-config GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/constraint-global-config |
Update the constraint global configurationUpdate the constraint global configuration |
PATCH /policy/api/v1/infra/constraint-global-config
PATCH /policy/api/v1/global-infra/constraint-global-config PATCH /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/constraint-global-config |
Update the constraint global configurationUpdate the constraint global configuration |
PUT /policy/api/v1/infra/constraint-global-config
PUT /policy/api/v1/global-infra/constraint-global-config PUT /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/constraint-global-config |
Read Central Config properties |
GET /api/v1/cluster/{cluster-node-id}/node/central-config
GET /api/v1/node/central-config |
Update Central Config properties |
PUT /api/v1/cluster/{cluster-node-id}/node/central-config
PUT /api/v1/node/central-config |
Delete MPA configuration for this nodeDelete the MPA configuration for this node. |
DELETE /api/v1/cluster/{cluster-node-id}/node/mpa-config
DELETE /api/v1/node/mpa-config |
Get MPA configuration for this nodeRetrieve the MPA configuration for this node to identify the Manager nodes with which this node is communicating. |
GET /api/v1/cluster/{cluster-node-id}/node/mpa-config
(Experimental)
GET /api/v1/node/mpa-config (Experimental) |
Update MPA configuration for this nodeUpdate the MPA configuration for this node. |
PUT /api/v1/cluster/{cluster-node-id}/node/mpa-config
(Experimental)
PUT /api/v1/node/mpa-config (Experimental) |